%define upstream_name    Text-MultiMarkdown
%define upstream_version 1.000034

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert MultiMarkdown syntax to (X)HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Text::Markdown) >= 1.0.26
BuildArch:  noarch

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format is
most similar to that of plain text email, and supports features such as
headers, *emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use span-level
HTML tags anywhere in a Markdown document, and you can use block level HTML
tags ('<div>', '<table>' etc.). Note that by default Markdown isn't
interpreted in HTML block-level elements, unless you add a 'markdown=1"'
attribute to the element. See the Text::Markdown manpage for details.

This module implements the MultiMarkdown markdown syntax extensions from:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.34-2.mga3
+ Revision: 374125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.0.34-1.mga2
+ Revision: 107488
- update to 1.000034

* Sun Jan 23 2011 jquelin <jquelin> 1.0.33-1.mga1
+ Revision: 34358
- mageia rebuild
- imported package perl-Text-MultiMarkdown

